ChecksumType (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils

## Enum ChecksumType

- java.lang.Object
- - java.lang.Enum<ChecksumType>
  - - org.apache.cassandra.utils.ChecksumType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ChecksumType>

      public enum ChecksumType
      extends java.lang.Enum<ChecksumType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Adler32`
    `CRC32`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.util.zip.Checksum` | `newInstance()`
    `long` | `of(byte[] data, int off, int len)`
    `long` | `of(java.nio.ByteBuffer buf)`
    `abstract void` | `update(java.util.zip.Checksum checksum, java.nio.ByteBuffer buf)`
    `static ChecksumType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ChecksumType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Adler32

          public static final ChecksumType Adler32

    - #### CRC32

          public static final ChecksumType CRC32

  - ### Method Detail

    - #### values

          public static ChecksumType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChecksumType c : ChecksumType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChecksumType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### newInstance

          public abstract java.util.zip.Checksum newInstance()

    - #### update

          public abstract void update(java.util.zip.Checksum checksum,
                                      java.nio.ByteBuffer buf)

    - #### of

          public long of(java.nio.ByteBuffer buf)

    - #### of

          public long of(byte[] data,
                         int off,
                         int len)

Copyright © 2018 The Apache Software Foundation